Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.beans.factory.annotation
Class CustomAutowireConfigurer

    java.lang.Object
      org.springframework.beans.factory.annotation.CustomAutowireConfigurer

All Implemented Interfaces:
  Aware, BeanClassLoaderAware, BeanFactoryPostProcessor, Ordered

    public class CustomAutowireConfigurer

extends java.lang.Object
implements BeanFactoryPostProcessor, BeanClassLoaderAware, Ordered

A `BeanFactoryPostProcessor` implementation that allows for convenient registration of custom autowire qualifier types.

     <bean id="customAutowireConfigurer" class="org.springframework.beans.factory.annotation.CustomAutowireConfigurer">
       <property name="customQualifierTypes">
         <set>
           <value>mypackage.MyQualifier</value>
         </set>
       </property>
     </bean>

Since:
  2.5
Author:
  Mark Fisher, Juergen Hoeller
See Also:
  `Qualifier`

Field Summary

Fields inherited from interface org.springframework.core.Ordered
`HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE`

Constructor Summary
`CustomAutowireConfigurer()`

Method Summary
`int` | `getOrder()` Return the order value of this object, with a higher value meaning greater in terms of sorting.
`void` | `postProcessBeanFactory(ConfigurableListableBeanFactory beanFactory)` Modify the application context's internal bean factory after its standard initialization.
`void` | `setBeanClassLoader(java.lang.ClassLoader beanClassLoader)` Callback that supplies the bean `class loader` to a bean instance.
`void` | `setCustomQualifierTypes(java.util.Set customQualifierTypes)` Register custom qualifier annotation types to be considered when autowiring beans.
`void` | `setOrder(int order)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CustomAutowireConfigurer

    public CustomAutowireConfigurer()

Method Detail

### setOrder

    public void setOrder(int order)

### getOrder

    public int getOrder()

  Description copied from interface: `Ordered`
  Return the order value of this object, with a higher value meaning greater in terms of sorting.

  Normally starting with 0, with `Integer.MAX_VALUE` indicating the greatest value. Same order values will result in arbitrary positions for the affected objects.

  Higher values can be interpreted as lower priority. As a consequence, the object with the lowest value has highest priority (somewhat analogous to Servlet "load-on-startup" values).

  Specified by:
    `getOrder` in interface `Ordered`
  Returns:
    the order value

### setBeanClassLoader

    public void setBeanClassLoader(java.lang.ClassLoader beanClassLoader)

  Description copied from interface: `BeanClassLoaderAware`
  Callback that supplies the bean `class loader` to a bean instance.

  Invoked after the population of normal bean properties but before an initialization callback such as `InitializingBean's` `InitializingBean.afterPropertiesSet()` method or a custom init-method.

  Specified by:
    `setBeanClassLoader` in interface `BeanClassLoaderAware`
  Parameters:
    `beanClassLoader` - the owning class loader; may be `null` in which case a default `ClassLoader` must be used, for example the `ClassLoader` obtained via `ClassUtils.getDefaultClassLoader()`

### setCustomQualifierTypes

    public void setCustomQualifierTypes(java.util.Set customQualifierTypes)

  Register custom qualifier annotation types to be considered when autowiring beans. Each element of the provided set may be either a Class instance or a String representation of the fully-qualified class name of the custom annotation.

  Note that any annotation that is itself annotated with Spring's `Qualifier` does not require explicit registration.

  Parameters:
    `customQualifierTypes` - the custom types to register

### postProcessBeanFactory

    public void postProcessBeanFactory(ConfigurableListableBeanFactory beanFactory)
                                throws BeansException

  Description copied from interface: `BeanFactoryPostProcessor`
  Modify the application context's internal bean factory after its standard initialization. All bean definitions will have been loaded, but no beans will have been instantiated yet. This allows for overriding or adding properties even to eager-initializing beans.

  Specified by:
    `postProcessBeanFactory` in interface `BeanFactoryPostProcessor`
  Parameters:
    `beanFactory` - the bean factory used by the application context
  Throws:
    `BeansException` - in case of errors

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD